global {
        debug   = true
        debug-level = 2

        user    = saned
        group   = scanner

        saned   = "/usr/sbin/saned"
        saned_opt  = {}
        saned_env  = { "SANE_CONFIG_DIR=/etc/scanbd" }

        scriptdir = /etc/scanbd/scripts

        timeout = 500

        pidfile = "/var/run/scanbd.pid"

        environment {
                device = "SCANBD_DEVICE"
                action = "SCANBD_ACTION"
        }

        function function_knob {
                filter = "^message.*"
                desc   = "The value of the function knob / wheel / selector"
                env    = "SCANBD_FUNCTION"
        }
        function function_mode {
                filter = "^mode.*"
                desc   = "Color mode"
                env    = "SCANBD_FUNCTION_MODE"
        }

        multiple_actions = false
        action scan {
                filter = "^scan.*"
                numerical-trigger {
                        from-value = 0
                        to-value   = 1
                }
                desc   = "Scan to file"
                script = "scan.sh"
        }
}

include(scanner.d/avision.conf)
include(scanner.d/fujitsu.conf)
include(scanner.d/hp.conf)
include(scanner.d/pixma.conf)
include(scanner.d/snapscan.conf)
include(scanner.d/canon.conf)
include(scanner.d/plustek.conf)
